GET

/api/v1/generators

List the available generators.

Parameters

NameInRequiredType / valuesDescription
langqueryNostring, enum(es · en), default: "es"Language of the human-readable texts in the response (validation `reason`, error `message`, generator `label`). Takes precedence over the `Accept-Language` header; defaults to Spanish. Generated data is the same in every language.

Usage example

terminal
curl "https://datamockseed.firstflip.es/api/v1/generators?lang=en"

Example response

Generated when this page was built, with the same deterministic seed (docs-ejemplo).

{
  "status": "success",
  "data": [
    {
      "id": "document",
      "label": "DNI / NIE / CIF (Spain)",
      "defaults": {
        "subtype": "dni",
        "valid": true,
        "format": "plain"
      },
      "fields": [
        {
          "key": "documento",
          "label": "Document"
        },
        {
          "key": "tipo",
          "label": "Type"
        }
      ]
    },
    {
      "id": "phone",
      "label": "Mobile & Landline Phones (Spain)",
      "defaults": {
        "kind": "mix",
        "prefix": false,
        "format": "compact"
      },
      "fields": [
        {
          "key": "telefono",
          "label": "Phone"
        },
        {
          "key": "tipo",
          "label": "Type"
        }
      ]
    },
    {
      "id": "identity",
      "label": "Full Identity (Spain)",
      "defaults": {
        "sex": "any",
        "minAge": 18,
        "maxAge": 75
      },
      "fields": [
        {
          "key": "sexo",
          "label": "Sex"
        },
        {
          "key": "nombre",
          "label": "First name"
        },
        {
          "key": "apellido1",
          "label": "First surname"
        },
        {
          "key": "apellido2",
          "label": "Second surname"
        },
        {
          "key": "fecha_nacimiento",
          "label": "Date of birth"
        },
        {
          "key": "edad",
          "label": "Age"
        },
        {
          "key": "documento",
          "label": "Document"
        },
        {
          "key": "tipo_documento",
          "label": "Document type"
        },
        {
          "key": "nss",
          "label": "NSS"
        },
        {
          "key": "email",
          "label": "Email"
        },
        {
          "key": "telefono",
          "label": "Phone"
        },
        {
          "key": "tipo_via",
          "label": "Street type"
        },
        {
          "key": "calle",
          "label": "Street"
        },
        {
          "key": "numero",
          "label": "Number"
        },
        {
          "key": "piso",
          "label": "Floor"
        },
        {
          "key": "cp",
          "label": "Postal code"
        },
        {
          "key": "municipio",
          "label": "Municipality"
        },
        {
          "key": "provincia",
          "label": "Province"
        },
        {
          "key": "comunidad",
          "label": "Autonomous community"
        }
      ]
    },
    {
      "id": "iban",
      "label": "IBAN & Bank Accounts — ES, DE, FR, PT with BIC/SWIFT",
      "defaults": {
        "country": "ES",
        "bank": "any",
        "valid": true,
        "format": "compact"
      },
      "fields": [
        {
          "key": "iban",
          "label": "IBAN"
        },
        {
          "key": "bic",
          "label": "BIC"
        },
        {
          "key": "entidad",
          "label": "Bank"
        },
        {
          "key": "pais",
          "label": "Country"
        },
        {
          "key": "ccc",
          "label": "CCC"
        }
      ]
    },
    {
      "id": "card",
      "label": "Test Cards (Sandbox) — Visa, Mastercard with Luhn Checksum",
      "defaults": {
        "brand": "mix",
        "valid": true,
        "format": "compact"
      },
      "fields": [
        {
          "key": "numero",
          "label": "Number"
        },
        {
          "key": "marca",
          "label": "Brand"
        },
        {
          "key": "cvv",
          "label": "CVV"
        },
        {
          "key": "caducidad",
          "label": "Expiry"
        }
      ]
    },
    {
      "id": "passport",
      "label": "Passport (Spain)",
      "defaults": {},
      "fields": [
        {
          "key": "pasaporte",
          "label": "Passport"
        }
      ]
    },
    {
      "id": "uuid",
      "label": "UUID v4",
      "defaults": {},
      "fields": [
        {
          "key": "uuid",
          "label": "UUID"
        }
      ]
    },
    {
      "id": "username",
      "label": "Username",
      "defaults": {},
      "fields": [
        {
          "key": "usuario",
          "label": "Username"
        },
        {
          "key": "nombre",
          "label": "First name"
        },
        {
          "key": "apellido",
          "label": "Surname"
        }
      ]
    },
    {
      "id": "password",
      "label": "Password",
      "defaults": {
        "length": 12,
        "lowercase": true,
        "uppercase": true,
        "digits": true,
        "symbols": true
      },
      "fields": [
        {
          "key": "contrasena",
          "label": "Password"
        }
      ]
    }
  ]
}

Try it live

Errors for this endpoint

  • 429RATE_LIMIT_EXCEEDED

    Your IP exceeded the requests-per-minute limit.

Full details in /en/docs/errors.